Skip to main content
GET
/
2025-09
/
notes
List all Notes
curl --request GET \
  --url https://public-api.stora.co/2025-09/notes \
  --header 'Authorization: Bearer <token>'
{
  "notes": [
    {
      "id": "note_195h6kfm9ro15lof",
      "content": "This is a test note on a customer.",
      "created_at": "2025-02-22T14:41:00Z",
      "creator": {
        "id": "tok_7f6e5fb4bb548dbc"
      },
      "metadata": {},
      "resource": {
        "id": "con_1234567890abcdef"
      },
      "updated_at": "2025-02-22T14:41:00Z"
    },
    {
      "id": "note_e6705c4af27d9910",
      "content": "This is a test note on a unit.",
      "created_at": "2025-02-22T14:41:00Z",
      "creator": {
        "id": "tok_7f6e5fb4bb548dbc"
      },
      "metadata": {},
      "resource": {
        "id": "unit_8667dc92f0d56a80"
      },
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 2,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at,
updated_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
resource_id
string

Filter by Resource ID (unit, contact, subscription, or task). Supports multiple values separated by comma.

resource_type
enum<string>[]

Filter by resource type. Supports multiple values separated by a comma.

Available options:
contact,
unit,
subscription,
task
expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

created_after
string<date-time>

Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

created_before
string<date-time>

Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).

metadata
object

Filter by metadata. Use metadata[key]=value to filter by specific metadata keys.

Example:
{}

Response

200 - application/json

list of notes

List of Notes

notes
object[]
meta
object